Name: readest
Version: 0.9.43
Release: 1%{?dist}
License: AGPL-3.0
Summary: Modern, feature-rich ebook reader
URL: https://github.com/readest/readest
Source0: %{url}/archive/refs/tags/v%{version}/readest-%{version}.tar.gz

BuildRequires: git
BuildRequires: openssl-devel
BuildRequires: librsvg2-devel
BuildRequires: nodejs nodejs-npm
BuildRequires: pnpm
BuildRequires: rust cargo
BuildRequires: cairo-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: libsoup3-devel
BuildRequires: pango-devel
BuildRequires: webkit2gtk4.1-devel

Requires: cairo
Requires: gdk-pixbuf2
Requires: glib2
Requires: gtk3
Requires: hicolor-icon-theme
Requires: libsoup3
Requires: openssl-libs
Requires: pango
Requires: webkit2gtk4.1
Requires: gstreamer1-plugins-good

%description
Readest is a modern, feature-rich ebook reader designed for avid readers offering seamless cross-platform access, powerful tools, and an intuitive interface.

%prep
%autosetup -n %{name}-%{version}

pnpm install --frozen-lockfile
pnpm --filter @readest/readest-app setup-pdfjs
sed -i 's/"createUpdaterArtifacts": true/"createUpdaterArtifacts": false/' apps/readest-app/src-tauri/tauri.conf.json

%build
pnpm tauri build -b rpm --release

%install
find target/release/bundle/rpm/ -maxdepth 1 -minddepth 1 -type d -exec cp -a {}/* %{buildroot}/ \;

%files
%{_bindir}/readest
%{_datadir}/applications/Readest.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%{_datadir}/icons/hicolor/32x32/apps/readest.png
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%{_datadir}/icons/hicolor/128x128/apps/readest.png
%dir %{_datadir}/icons/hicolor/256x256@2
%dir %{_datadir}/icons/hicolor/256x256@2/apps
%{_datadir}/icons/hicolor/256x256@2/apps/readest.png

%changelog
%autochangelog
